• Which the release of FS2020 we see an explosition of activity on the forun and of course we are very happy to see this. But having all questions about FS2020 in one forum becomes a bit messy. So therefore we would like to ask you all to use the following guidelines when posting your questions:

    • Tag FS2020 specific questions with the MSFS2020 tag.
    • Questions about making 3D assets can be posted in the 3D asset design forum. Either post them in the subforum of the modelling tool you use or in the general forum if they are general.
    • Questions about aircraft design can be posted in the Aircraft design forum
    • Questions about airport design can be posted in the FS2020 airport design forum. Once airport development tools have been updated for FS2020 you can post tool speciifc questions in the subforums of those tools as well of course.
    • Questions about terrain design can be posted in the FS2020 terrain design forum.
    • Questions about SimConnect can be posted in the SimConnect forum.

    Any other question that is not specific to an aspect of development or tool can be posted in the General chat forum.

    By following these guidelines we make sure that the forums remain easy to read for everybody and also that the right people can find your post to answer it.

MSFS MSFS Asobo Official Blender exporter

Messages
66
Country
unitedstates
Am I crazy or is anyone else having trouble using Blender 3.2 (Stable) with Exporter 1.1.6? Works for simple stuff, but putting an emissive blended decal texture on a separated face over an opaque image texture on the face below generates a gigantic error list. Works fine with a simple cube. This has been working fine in Blender 3.1.0 with 1.1.6. I'm running both Blenders as portable so I can switch back and forth.
(EDIT) Problem solved: When I first ran Blender 3.2 I set it up as portable (from .zip) and clicked the button that asked whether I wanted to copy all my settings from 3.1. As a result, I ended up with the original exporter (Vitus) plus the Asobo exporter. Deleting that old one, even though it wasn't showing in the Preferences, fixed the problem. Is there an emoji that shows egg on face?
 
Last edited:
Messages
64
Country
us-florida
Does anyone here know the correct setting for exporting projected meshes? I know everything has to be joined into one object or make parents but some layers are exported with a different scale.

1659545111416.png
 
Messages
435
Country
senegal
Am I crazy or is anyone else having trouble using Blender 3.2 (Stable) with Exporter 1.1.6? Works for simple stuff, but putting an emissive blended decal texture on a separated face over an opaque image texture on the face below generates a gigantic error list. Works fine with a simple cube. This has been working fine in Blender 3.1.0 with 1.1.6. I'm running both Blenders as portable so I can switch back and forth.
(EDIT) Problem solved: When I first ran Blender 3.2 I set it up as portable (from .zip) and clicked the button that asked whether I wanted to copy all my settings from 3.1. As a result, I ended up with the original exporter (Vitus) plus the Asobo exporter. Deleting that old one, even though it wasn't showing in the Preferences, fixed the problem. Is there an emoji that shows egg on face?
Are you able to get lights to export with 3.2?
 
Messages
66
Country
unitedstates
Are you able to get lights to export with 3.2?
Actually, no. I ran blender 3.2.1 (portable) with Exporter 1.1.6. I put a point light and a spotlight in the scene and exported successfully to the .xml, .gltf and .bin. Looks like they serialized fine. Then I attempted to compile in the sim. I got the Punctual Lights not supported error. This worked fine with 3.1 and 1.1.6 though.
I'll get more evidence and send to Asobo later today. I did not try 3.2.2 yet. Needs more experimentation before I can say for sure. Need to look at the version of glTF packaged with Blender and a few other things first.
Anybody else having this problem?
Further EDIT:
Just verified that 3.1.0 with 1.1.6 exports and compiles fine. 3.2.1 with 1.1.6 exports, but compiler throws error: "required extension not supported: KHR_lights_punctual".
Big hint as to what's happening: Blender prior to 3.2 ships with glTF Khronosgroup exporter 1.8.19, Blender 3.2 ships with Khronosgroup exporter 3.2.43. Go figure!
I'll package this up and report it to Asobo.
 
Last edited:
Messages
435
Country
senegal
Actually, no. I ran blender 3.2.1 (portable) with Exporter 1.1.6. I put a point light and a spotlight in the scene and exported successfully to the .xml, .gltf and .bin. Looks like they serialized fine. Then I attempted to compile in the sim. I got the Punctual Lights not supported error. This worked fine with 3.1 and 1.1.6 though.
I'll get more evidence and send to Asobo later today. I did not try 3.2.2 yet. Needs more experimentation before I can say for sure. Need to look at the version of glTF packaged with Blender and a few other things first.
Anybody else having this problem?
Further EDIT:
Just verified that 3.1.0 with 1.1.6 exports and compiles fine. 3.2.1 with 1.1.6 exports, but compiler throws error: "required extension not supported: KHR_lights_punctual".
Big hint as to what's happening: Blender prior to 3.2 ships with glTF Khronosgroup exporter 1.8.19, Blender 3.2 ships with Khronosgroup exporter 3.2.43. Go figure!
I'll package this up and report it to Asobo.
Yep, I get the same error for trying to export lights on 3.2. And on 3.1 I get the following error (not related to lights though):
"Failed to load model data: 'Neither required `bufferView` nor `uri` defined for image[0] name = "Devinci_RJBE_T_WALLS_ALBEDO.png""

So I'm stuck not being able to compile some textures or some lights depending on the version of Blender.
'
 
Messages
66
Country
unitedstates
Yep, I get the same error for trying to export lights on 3.2. And on 3.1 I get the following error (not related to lights though):
"Failed to load model data: 'Neither required `bufferView` nor `uri` defined for image[0] name = "Devinci_RJBE_T_WALLS_ALBEDO.png""

So I'm stuck not being able to compile some textures or some lights depending on the version of Blender.
'
Here's what I sent to Asobo: https://github.com/AsoboStudio/glTF-Blender-IO-MSFS/issues/162
Suggest we stick to 3.1 until the dust settles.
 
Last edited:

Pyscen

Resource contributor
Messages
2,985
Country
us-texas
It might be best that v3.1 of Blender along with the exporter v1.1.6 be the last until the LTS (Long Term Support) v3.3 of Blender is released. At least then Asobo will have the time to update the exporter fully without any major changes that can happen in Blender.
 

rotorhub

Resource contributor
Messages
122
Country
norway
I can't see the "Migrate Material Data" button. Is it still present in version 1.1.6?
 
Messages
66
Country
unitedstates
Just ran a quick test: The Migrate Material Data button only appears if the material you are working on was created using the original exporter. The 1.1.6 exporter looks for a bunch of nodes with names particular to the original nodes created. Otherwise, it merely give you the choice of type of node tree. HTH.
 
Messages
1
Country
unitedstates
Hey all,

I've been learning how to use this add on and blender together and have made good progress, but my textures always end up darker in MSFS than they appear in Blender. Is there a fix for this?
 
Messages
233
Country
canada
I have tested the exporter in July and it appeared to work, it did create a proper file set for an object. However now, after a huge amount of time spent in modeling a terminal in my project, and converting/migrating all my materials, when I tried to export, it throws an error. What's even worse, the file I tested on, back in July, also returns an error. I installed Blender 3.1.2 and tried there - same error. All materials are converted. This is a disaster...

This has something to do with materials. If I create a test cube with a MSFS Srandard material it works OK and exports without errors - although all images are named image.png, image-1.png and so on, instead of material name or something meaningful. That also means multiple images for same materials on different objects, instead of overwriting and reusing same images?

But as soon as I change material from "Standard" to "Parallax" (which I use extensively in my sceneries) - I get the same error!

What's worse, if I check the "day/night cycle" checkbox even on "Standard" material - I get the same error immediately!

And checking "Collision Material" results in the same error!

So either "Parallax" or "Day/Nifht cycle" or "Collision Material" do not work, and result in the fatal error.

This is a major disaster! I have spent a lot of time on creating an Asset Library and converting/migrating all my materials (about a hundred of them) to the new format. Now it turns out nothing can't be exported, and basically this Asobo Blender Exporter is unusable, because it can't export parallax, day/night cycle and collision, the features I always use and can't live without. Please tell me there's something with my setup that's wrong and can be fixed, and it's not a dead end... I don't think coverting materials back to Blender2MSFS is an option...
 
Messages
7,450
Country
us-illinois
Hello:

While ASOBO delegates this MSFS Blender Python Exporter to the outsourced team, can your Blender project be exported via MCX ?

The MCX Manual shows:

9.1.2 Assimp
ModelConverterX makes use of the Assimp library to read certain 3D formats. Geometry, material
settings and animations can be read using the Assimp library. It should be noted that not all
formats in the Assimp library support all these functionalities, e.g. some formats don’t support
animations for example. The following formats are read by ModelConverterX using Assimp:
•AutoDesk FBX
•COLLADA (DAE)
•Wavefront OBJ
•Stereolithography (STL)
•AutoCad DXF
•Blender project files

...and shows this capability during import for Blender and glTF files:

mcx_object_and_scenery_reader_capabilities-gltf-jpg.84729


Arno also recently posted this announcement in the MCX Forum:

Hi all,

There is a new build of MCX online now that will read and write the secondary UV channel correctly. And it also has a vertex editor so that you can edit the texture coordinates of the second channel. This might help when trying to add parallax windows to an object.

I am still trying to understand how the texture mapping really influences the room that is shown.

GaryGB
 

Attachments

  • MCX_Object_and_Scenery_Reader_Capabilities-glTF.jpg
    MCX_Object_and_Scenery_Reader_Capabilities-glTF.jpg
    198.3 KB · Views: 743
Last edited:
Messages
233
Country
canada
I think I solved my issue, though it took most of the day eliminating different factors. In case it's useful to others, here's what helped:

1. Installing Blender 3.1.0 - that exact version, newer versions may be problematic.

2. Completely erasing blender user folder, where all settings and addons are stored, and not importing previous Blender settings. So a clean slate installation.

3. Fresh install of the exporter,

4. Adding and enabling the addons that I need, one by one.

So far it's working, though I haven't tested in MSFS yet. But my test files are exporting without errors and are creating plausible files. I have no idea what was corrupted in Blender settings or anywhere else in the Blender user folder that has resulted in those errors. But for now the issue is gone...
 
Messages
66
Country
unitedstates
I discovered the same when trying to use anything over 3.1.0 with 1.1.6. I use that combination daily with no problems whatsoever. I'll spend some time tomorrow trying to track down the error. I recently saw a GitHub comment where someone found that the displacement modifier was the problem, but I can't seem to find the reference. I'll keep looking, though.
Anyway, your clean install has always worked for me.
I found the reference: https://github.com/AsoboStudio/glTF-Blender-IO-MSFS/issues/164. Scroll down and read all the comments.
A number of things have changed in Blender beyond 3.1.0. When I tried 3.2.x I discovered that the Khronos glTF exporter, on which the 1.1.6 is based, that is packaged with Blender is an entirely new version.
 
Messages
352
Country
italy
I don't understand where I must insert the comment. If I insert something around line 75 the plug-in doesn't work.
If someone have the same problem, a my friend solved it:
# export_displacement=settings.export_displacement, ( he added a # before the last line).
 
Last edited:

rhumbaflappy

Administrator
Staff member
Resource contributor
Messages
5,866
Country
us-wisconsin
I don't understand where I must insert the comment. If I insert something around line 75 the plug-in doesn't work.
If someone have the same problem, a my friend solved it:
# export_displacement=settings.export_displacement, ( he added a # before the last line).
That works for the export gltf (with the MSFS extension ticked), but not for the Multi-Exporter, so LOD exporting needs to have Blender version 3.1
 
Messages
127
Country
ca-ontario
Is anyone able to use Blender 3.3 with the Asobo exporter (https://github.com/AsoboStudio/glTF-Blender-IO-MSFS)? When I use it with Blender 3.3 it exports the model but does not update the XML and doesn't generate a GUID. When I use the same (latest) Asobo exporter in Blender 2.9.3 everything works.

I'm not sure if I'm better off using only one version of Blender that does everything or just keep opening 2.9.3 just to export, which is what I've been doing. I prefer Blender 3.3.1 for modeling since it seems to do the texture preview better and the interface is a bit updated, but if there's an near-identical earlier 3.x version that works better with the MSFS exporter I could use that.

What's "best practice" these days?
 
Top